## org.eclipse.contribution.visualiser.interfaces
Interface IVisualiserRenderer

All Known Implementing Classes:
  ClassicVisualiserRenderer

public interface IVisualiserRenderer

Defines the operations required to implement a visualiser drawing style.

Author:
  mchapman

Method Summary
`int` `getColumnHeaderHeight()` The space required for headers of each columns
`int` `getMarginSize()` The padding to be used around the edges of the visualiser
`int` `getSpacing()` The space in-between columns
`void` `paintColumn(org.eclipse.swt.graphics.GC gc, IMember m, int x, int y, int colWidth, int colHeight, boolean affected)` Paint the actual column (but not any stripes)
`void` `paintColumnHeader(org.eclipse.swt.graphics.GC gc, IMember m, int x, int colWidth)` Paint the title of a column, typically the name of the given IMember

Method Detail

### getSpacing

    public int getSpacing()

  The space in-between columns

  Returns:
    the gap in pixels

### getColumnHeaderHeight

    public int getColumnHeaderHeight()

  The space required for headers of each columns

  Returns:
    the height in pixels

### getMarginSize

    public int getMarginSize()

  The padding to be used around the edges of the visualiser

  Returns:
    the margin size in pixels

### paintColumnHeader

    public void paintColumnHeader(org.eclipse.swt.graphics.GC gc,
                                  IMember m,
                                  int x,
                                  int colWidth)

  Paint the title of a column, typically the name of the given IMember

  Parameters:
    `gc` - the graphics context to paint to
    `m` - the IMember for this column
    `x` - the horizontal coordinate for the start of this column
    `colWidth` - the width of the column

### paintColumn

    public void paintColumn(org.eclipse.swt.graphics.GC gc,
                            IMember m,
                            int x,
                            int y,
                            int colWidth,
                            int colHeight,
                            boolean affected)

  Paint the actual column (but not any stripes)

  Parameters:
    `gc` - the graphics context to paint to
    `m` - the IMember for this column
    `x` -
    `y` -
    `colWidth` -
    `colHeight` -
    `affected` - indicates whether this column is affected by any stripes